# Newzz-Compose
News App built with JetPack Compose

## Gif
![compose](https://user-images.githubusercontent.com/13314984/83972646-00b1ca80-a8ff-11ea-93b0-92daf03bc0a0.gif)

## Other variants
- [Newzz] (https://github.com/Akashkamble/Newzz)
- [Newzz-Flutter] (https://github.com/Akashkamble/Newzz-Flutter)

## The app contains following libraries

- [Jetpack Compose](https://developer.android.com/jetpack/compose) (UI)

- [Dagger-Hilt](https://dagger.dev/hilt/) (Dependency Injection)

- [LifeCycle Components](https://developer.android.com/topic/libraries/architecture/livedata) (ViewModel and LiveData)

- [Kotlin Coroutines](https://kotlinlang.org/docs/reference/coroutines-overview.html) (Asynchronous programming)

- [Retrofit](https://square.github.io/retrofit/) (Networking)

- [Moshi](https://github.com/square/moshi) (Kotlin JSON library for Android from Square)

- [Accompanist](https://github.com/chrisbanes/accompanist/tree/master/coil) (Image Loading with coil)


# Note
This repo is missing api key for [newsapi](https://newsapi.org)
get the api key from [newsapi](https://newsapi.org) and do following steps
- Add **api_key** property in **local.properties** E.g api_key="54e494XXXXXXXXXXXXXXXXXXXXXXXXXX"

